GET sequencing instances_batches
curl --request GET \
--url https://app.onecodex.com/api/v1/sequencing/batches \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.onecodex.com/api/v1/sequencing/batches"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.onecodex.com/api/v1/sequencing/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.onecodex.com/api/v1/sequencing/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.onecodex.com/api/v1/sequencing/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.onecodex.com/api/v1/sequencing/batches")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.onecodex.com/api/v1/sequencing/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"$uri": "/api/v1/sequencing/batches/0d77065796f8d173",
"batch_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": {
"__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
},
"status": "registered"
}
]Sequencing
Retrieve All Sequencing Batches
GET
/
api
/
v1
/
sequencing
/
batches
GET sequencing instances_batches
curl --request GET \
--url https://app.onecodex.com/api/v1/sequencing/batches \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.onecodex.com/api/v1/sequencing/batches"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.onecodex.com/api/v1/sequencing/batches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.onecodex.com/api/v1/sequencing/batches",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.onecodex.com/api/v1/sequencing/batches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.onecodex.com/api/v1/sequencing/batches")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.onecodex.com/api/v1/sequencing/batches")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"$uri": "/api/v1/sequencing/batches/0d77065796f8d173",
"batch_number": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"owner": {
"__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
},
"status": "registered"
}
]GET all Sequencing Batch instances. Returns a paginated list of Sequencing Batches.
Authorizations
Query Parameters
Page number. Defaults to 1. See Pagination for more details.
Number of requested paginated records. Defaults to 50. See Pagination for more details.
Optional Mongo-style JSON sort clause, e.g., sort={"created_at": true} to sort by created_at (descending)
Optional Mongo-style JSON filter clause, e.g., where={"$uri": {"$eq": "/api/v1/samples/0ee172af60e84f61"}}
Response
200 - application/json
OK
Pattern:
^/api/v1/sequencing/batches/[a-f0-9]{16}$Example:
"/api/v1/sequencing/batches/0d77065796f8d173"
A unique batch number.
A human-readable name for the sequencing batch.
The user that created the sequencing batch.
Show child attributes
Show child attributes
The current status of the sequencing batch.
Available options:
registered, shipped_to_lab, received_at_lab, extracting, preparing_library, sequencing, quality_control, done, canceled ⌘I

